@font-face {
  font-family: Roboto;
  src: url(roboto.woff2);
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: Ranchers;
  src: url("/ranchers.woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

html {
  scroll-snap-type: y mandatory;
  scroll-behavior: smooth;
  background: #000;
}

body {
  margin: 0;
  font-family: "Roboto Condensed", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  user-select: none;
}

.slacklife {
  display: flex;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background: #000;

  a {
    all: unset;
    color: #000;
    cursor: pointer;

    h1 {
      background: rgba(255, 255, 255, 0.70);
      padding: 28px;
      font-family: "Ranchers", sans-serif;
      font-weight: 400;
      font-style: normal;
      font-size: 72px;
      transition: transform 220ms cubic-bezier(0.34, 2, 0.64, 1), 
      border-radius 220ms ease;

      @media (max-width: 768px) {
	font-size: 48px;
      }

      &:hover {
	border-radius: 32px;
	transform: scale(1.2);
      }

    }
  }
}

section {
  scroll-snap-align: start;
  scroll-snap-stop: always;

  height: 100dvh;
  min-height: 100dvh;

  display: flex;
  align-items: center;
  justify-content: center;

  box-sizing: border-box;
}

.video {
  width: 100%;
  height: 100%;

  display: flex;
  gap: 40px;

  align-items: center;
  justify-content: center;

  padding: 40px;
  box-sizing: border-box;

  @media (max-width: 768px) {
    flex-direction: column;
    gap: 10px;
  }

  .text {
    flex: 1;
    display: flex;
    justify-content: center;
    flex-direction: column;


    max-width: 500px;
    color: #fff;

    @media (max-width: 768px) {
      width: 100%;
      max-width: none;
    }

    h2 {
      margin: 0;
      font-size: 2rem;
      margin-bottom: 12px;

      @media (max-width: 600px) {
	font-size: 1.6rem;
	line-height: 1.1;
      }
    }

    p {
      font-size: 1rem;
      line-height: 1.5;
      opacity: 0.85;
    }
  }

  .media {
    flex: 1;

    position: relative;
    overflow: hidden;

    aspect-ratio: 9 / 16;

    max-height: 80vh;
    max-width: calc(80vh * 9 / 16);

    margin: auto;

    border-radius: 12px;

    @media (max-width: 768px) {
      width: 100%;
      height: 100%;
      max-height: 70vh;
    }

    @media (max-width: 668px) {
      max-height: 60vh;
    }

    video {
      position: absolute;

      width: 100%;
      height: 100%;

      object-fit: cover;
    }
  }
}
